libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.294. __nv_uint2float_rn

Prototype:

    float @__nv_uint2float_rn(i32 %in)

Description:

Convert the unsigned integer value `x` to a single-precision floating point value in round-to-nearest-even mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes